SPONGE(1)

NAME
sponge - soak up standard input and write to a file

SYNOPSIS
sponge file

DESCRIPTION
sponge reads stdin completely, then writes the saved contents to file. This makes it possible to easily create pipes which read from and write to the same file.

If file is a symbolic link, it writes to its destination instead.